import { Center, Box, Heading, VStack, FormControl, Link, Input, Button, HStack, Text, Divider } from "native-base"
import React, { useState } from "react"
import { Item } from "../../types/item"
import { Note } from "../../types/note"

interface ItemDetailProps {
    item: Item,
    notes: Note[]
}


const ItemView = (props: {item: Item}) => {
    const item = props.item;
    return (
        <Center>
            {item && (
                <VStack>
                    <Text>
                        id: {item.id}
                    </Text>
                    <Text>
                        name: {item.workName}
                    </Text>
                </VStack>
            )}

        </Center>
    )
}

const ItemDetail = (props: ItemDetailProps) => {

    return (
        <ItemView item={props.item}></ItemView>
    )
}

export default ItemDetail